body {
  padding: 0;
  margin: 0;
  background-image: url('../../assets/images/bg.png');
  background-repeat: repeat;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
header * {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

header {
  height: 120px;
  width: 100%;
  position: relative;
  background-color: white;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.4);
}
.timlogo {
  width: 350px;
  margin-left: 50px;
  padding-top: 15px;
}
.entreps {
  position: absolute;
  top: 45px;
  margin-left: 120px;
}
.head {
  position: absolute;
  top: 35px;
  right: 50px;
}
.head .tile {
  display: inline-block;
  height: 50px;
  width: 50px;
  margin-left: 5px;
  transition: all 0.3s ease-in;
  -webkit-transition: all 0.3s ease-in;
}
.head .tile.socialmedia {
  color: #0b253e;
  font-size: 50px;
  text-align: center;
  line-height: 50px;
  position: relative;
  top: -6px;
}
header.clicked .head .tile.socialmedia {
  color: white;
}
.head .burger {
  margin-left: 25px;
  padding: 5px;
  cursor: pointer;
  background-color: transparent;
}
.meat {
  height: 40px;
  width: 40px;
  position: relative;
  transition: all 0.3s ease-in;
  -webkit-transition: all 0.3s ease-in;
}
header.clicked .head .burger .meat {
  transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
}
.meat .line {
  height: 4px;
  width: 40px;
  background-color: #0b253e;
  border-radius: 3px;
  position: absolute;
  transition: all 0.3s ease-in;
  -webkit-transition: all 0.3s ease-in;
}
.meat .line.one {
  top: 5px;
  left: 0px;
}
.meat .line.two {
  top: 18px;
  left: 0px;
}
.meat .line.three {
  top: 31px;
  left: 0px;
}

header.clicked .burger .line {
  background-color: white;
}
header.clicked .burger .line.one {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  top: 18px;
}
header.clicked .burger .line.two {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  top: 18px;
}
header.clicked .burger .line.three {
  opacity: 0;
}
header.clicked .burger:hover .meat {
  transform: rotate(270deg);
  -webkit-transform: rotate(270deg);
}

.nav-modal {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100vh;
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s ease-in;
  -webkit-transition: all 0.3s ease-in;
  pointer-events: none;
}
header.clicked .nav-modal {
  visibility: visible;
  opacity: 1;
  pointer-events: initial;
}

.p-3 {
  padding: 15px;
}

.textdesc {
  margin-top: 10px;
  padding-left: 125px;
  text-align: justify;
}

.mt-2 {
  margin-top: 20px;
}

.p-4 {
  padding: 20px;
}

.p-5 {
  padding: 25px;
  padding-left: 75px;
  padding-right: 75px;
}

.p4-5 {
  padding: 20px;
  padding-left: 65px;
  padding-right: 65px;
}

.imgsdg {
  margin-left: 40px;
}

.mt-4 {
  margin-top: 15px;
}
.mt-5 {
  margin-top: 20px;
}
.mt-6 {
  margin-top: 35px;
}
.mb-2 {
  margin-bottom: 10px;
}
.mb-4 {
  margin-bottom: 20px;
}
.mb-5 {
  margin-bottom: 30px;
}
.mb-6 {
  margin-bottom: 35px;
}

.fileUpload {
  display: none !important; /* do not display the actual file upload button */
}

#customButton {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.7);
  color: #fff;
  padding: 10px;
  border-radius: 15px;
}

.customButton {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.7) !important;
  color: #fff !important;
  padding: 10px !important;
  border-radius: 15px !important;
}

.customButton:hover {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.4) !important;
}

.iti__country {
  list-style: none !important;
}

textarea {
  min-height: 5.2em !important;
  max-height: 50vh !important;
}

#customButton2 {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.7);
  color: #fff;
  padding: 10px;
  border-radius: 15px;
}

#customButton:hover {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.4);
}

#customButtoncv:hover {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.4);
}

#customButton2:hover {
  /* style the fake upload button */
  background: rgba(66, 133, 244, 0.4);
}

.cuadrado {
  border: 1px solid #000;
}

.btn-add {
  background-color: #e67e22;
  border: 0 none;
  border-radius: 15px;
  padding: 10px;
  color: #fff;
  box-shadow: -5px 5px 15px -10px rgba(0, 0, 0, 0.75);
}

.btn-add:hover {
  background-color: #f87f24;
  box-shadow: -5px 5px 15px -10px rgba(0, 0, 0, 0.85);
}

.ds-btn {
  padding: 20px;
}
.ds-btn a span {
  padding-left: 15px;
  padding-right: 5px;
  width: 100%;
  display: inline-block;
  text-align: left;
}
.ds-btn a span small {
  width: 100%;
  display: inline-block;
  text-align: left;
}
.boton-home {
  padding-left: 50px;
  padding-right: 50px;
  -webkit-box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.75);
  box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.75);
}
.boton-home:hover {
  -webkit-box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.25);
  box-shadow: -11px 10px 20px -10px rgba(0, 0, 0, 0.25);
  background-color: #ff0000;
}

.glyphicon.glyphicon-open-file,
.glyphicon.glyphicon-send {
  font-size: 25px;
}
.glyphicon.glyphicon-open-file > span {
  font-family: 'Museo';
}

.nav-modal .blob {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 100%;
  margin: 0 auto;
  background-color: #0b253e;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  transition: all 0.3s ease-in;
}
header.clicked .nav-modal .blob {
  width: 100vw;
  height: 100vh;
  border-radius: 0px;
}

nav {
  position: fixed;
  left: 20%;
  top: 30%;
  color: white;
}
nav a {
  color: white;
  text-decoration: none;
  font-family: sans-serif;
  font-family: 'Oswald', sans-serif;
  font-size: 30px;
}
nav ul li {
  list-style: none;
  text-align: right;
  border-right: 6px solid white;
  padding-bottom: 10px;
  padding-right: 10px;
  position: relative;
}
nav {
  opacity: 0;
  transition: all 0.3s ease-in;
  -webkit-transition: all 0.3s ease-in;
  -webkit-transition-delay: 0.3s;
  -moz-transition-delay: 0.3s;
  -o-transition-delay: 0.3s;
  transition-delay: 0.3s;
}
header.clicked nav {
  opacity: 1;
}

nav ul li ul {
  position: absolute;
  right: -300px;
  top: -4px;
  display: none;
}
nav ul li ul li {
  border: none;
  padding-bottom: 10;
  padding-left: 10px;
  height: 50px;
  width: 300px;
}
nav ul li ul li a {
  display: block;
  height: 50px;
  font-size: 20px;
  text-align: left;
  padding: 10px;
}
nav ul li.selected ul {
  display: block;
}

nav ul li.notselected a {
  opacity: 0.5;
}
nav ul li.selected ul li a {
  opacity: 1;
}

main {
  flex-grow: 1 !important;
}

footer {
  background-color: black;
  padding: 10px;
  flex-shrink: 0;
}

#mapid {
  height: 375px;
}

.info {
  padding: 6px 8px;
  font: 14px/16px Arial, Helvetica, sans-serif;
  background: white;
  background: rgba(255, 255, 255, 0.8);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}
.info h4 {
  margin: 0 0 5px;
  color: #777;
}

.legend {
  line-height: 18px;
  color: #555;
}
.legend i {
  width: 18px;
  height: 18px;
  float: left;
  margin-right: 8px;
  opacity: 0.7;
}

.product {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 20px;
  border: 2px solid #ccc;
  border-radius: 10px;
  background-color: #f7f7f7;
}

.product-image img {
  width: 200px;
  height: auto;
  border-radius: 50%;
}

.product-details h3 {
  color: #333;
  font-size: 18px;
  margin-top: 10px;
}

.product-details p {
  color: #777;
  font-size: 14px;
  margin-top: 10px;
}

.product-link {
  display: inline-block;
  padding: 8px 16px;
  background-color: #3498db;
  color: #ffffff;
  text-decoration: none;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.product-link:hover {
  background-color: #297fb8;
}

.provider-card {
  /* max-width: 500px; */
  margin: 0 auto;
}

.provider-card img {
  width: 100%;
  height: auto;
}

.provider-image {
  width: 100%;
  height: auto;
  object-fit: cover;
  max-height: 250px;
}

.provider-card .card-body {
  padding: 20px;
}

.provider-contact {
  margin-top: 20px;
}

@media screen and (max-width: 1024px) {
  .entreps {
    display: none;
  }
}

@media screen and (max-width: 820px) {
  .timlogo {
    margin-left: 50px;
  }
  .entreps {
    display: none;
  }
  .imgsdg {
    margin-left: 10px;
  }
  .textdesc {
    padding-left: 0px;
  }
  .boton-home {
    width: 200px !important;
    padding-left: 30px;
    padding-right: 30px;
  }
}
@media screen and (max-width: 580px) {
  .timlogo {
    width: 130px;
    padding-top: 40px;
  }
  nav ul li a {
    font-size: 16px;
  }
  nav ul li ul {
    top: -9px;
  }
  nav ul li ul li {
    height: 40px;
  }
  nav ul li ul li a {
    font-size: 16px;
    height: 40px;
  }
  .entreps {
    display: none;
  }
}
@media screen and (max-width: 500px) {
  .timlogo {
    width: 150px;
  }
  .entreps {
    display: none;
  }
}
@media screen and (max-width: 320px) {
  header .head .tile.socialmedia {
    display: none;
  }
}
@media screen and (max-width: 320px) {
  .timlogo {
    width: none;
  }
}
